RestResourceDataset Class

A Rest service dataset.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.mgmt.datafactory.models._models_py3.Dataset
RestResourceDataset

Constructor

RestResourceDataset(*, linked_service_name: _models.LinkedServiceReference, additional_properties: Optional[Dict[str, Any]] = None, description: Optional[str] = None, structure: Optional[Any] = None, schema: Optional[Any] = None, parameters: Optional[Dict[str, _models.ParameterSpecification]] = None, annotations: Optional[List[Any]] = None, folder: Optional[_models.DatasetFolder] = None, relative_url: Optional[Any] = None, request_method: Optional[Any] = None, request_body: Optional[Any] = None, additional_headers: Optional[Any] = None, pagination_rules: Optional[Any] = None, **kwargs)

Variables

additional_properties
dict[str, any]

Unmatched properties from the message are deserialized to this collection.

type
str

Required. Type of dataset.Constant filled by server.

description
str

Dataset description.

structure
any

Columns that define the structure of the dataset. Type: array (or Expression with resultType array), itemType: DatasetDataElement.

schema
any

Columns that define the physical type schema of the dataset. Type: array (or Expression with resultType array), itemType: DatasetSchemaDataElement.

linked_service_name
LinkedServiceReference

Required. Linked service reference.

parameters
dict[str, ParameterSpecification]

Parameters for dataset.

annotations
list[any]

List of tags that can be used for describing the Dataset.

folder
DatasetFolder

The folder that this Dataset is in. If not specified, Dataset will appear at the root level.

relative_url
any

The relative URL to the resource that the RESTful API provides. Type: string (or Expression with resultType string).

request_method
any

The HTTP method used to call the RESTful API. The default is GET. Type: string (or Expression with resultType string).

request_body
any

The HTTP request body to the RESTful API if requestMethod is POST. Type: string (or Expression with resultType string).

additional_headers
any

The additional HTTP headers in the request to the RESTful API. Type: string (or Expression with resultType string).

pagination_rules
any

The pagination rules to compose next page requests. Type: string (or Expression with resultType string).